get
https://api.staging.bancocdc.com.br/detailed-transaction/p2p/
Route to retrieve a detailed P2P receipt using it's end to end code or transaction code
Response Parameters
| Parameters | Format | Description |
|---|---|---|
| return | boolean | Response status ( true / false ) |
| message | String | Response message |
| data | Object | Response data |
| code | String | Transaction code |
| e2e | String | End to end from the transaction |
| transaction_type | String | Transaction type |
| code_transaction_type | String | Code transaction type |
| transaction_status | String | Transaction status |
| code_transaction_status | String | Code transaction status |
| created_at | String | Created at |
| amount | Number | Transaction amount |
| origin_account | Object | Origin account info |
| name | String | Account owner name |
| document | String | Account owner document |
| bank | String | Bank code ispb |
| agency | String | Bank agency |
| account | String | Bank account |
| digit | String | Bank account digit |
| receiver_account | Object | Receiver account info |
| name | String | Account owner name |
| document | String | Account owner document |
| bank | String | Bank code ispb |
| agency | String | Bank agency |
| account | String | Bank account |
| digit | String | Bank account digit |
Transaction Type
| value | Description |
|---|---|
| 1 | PIX |
| 2 | TED |
| 3 | DOC |
| 4 | P2P |
| 5 | BOLETO |
| 6 | DEPOSIT BOLETO |
| 7 | CARD |
| 8 | REVERSAL |
| 14 | TAX |
Transaction Status Codes
| Code | Description |
|---|---|
| 1 | In Process |
| 2 | Approved |
| 3 | Canceled |
| 4 | Expired |
| 5 | Under Review |
| 6 | Pending |
| 7 | Sent For Refund |
| 8 | Refund Made |
| 9 | Paid |
| 10 | Created |
| 11 | Clearing |
| 12 | Consulted |
| 13 | Authorized |